XLSWINS(1)

NAME
xlswins - server window list displayer for X

SYNOPSIS
xlswins [-options ...] [windowid ...]

DESCRIPTION
Xlswins lists the window tree. By default, the root window is used as the starting point, although a specific window may be specified using the -id option. If no specific windows are given on the command line, the root window will be used.

OPTIONS

-display displayname
    This option specifies the X server to contact.

-l  This option indicates that a long listing should be generated for each window. This includes a number indicating the depth, the geometry relative to the parent as well as the location relative to the root window.

-format radix
    This option specifies the radix to use when printing out window ids. Allowable values are: hex, octal, and decimal. The default is hex.

-indent number
    This option specifies the number of spaces that should be indented for each level in the window tree. The default is 2.

SEE ALSO
X(1), Xserver(1), xwininfo(1), xprop(1)

ENVIRONMENT

DISPLAY
    to get the default host and display to use.

BUGS
This should be integrated with xwininfo somehow.

COPYRIGHT
Copyright 1988, Massachusetts Institute of Technology.
See X(1) for a full statement of rights and permissions.

AUTHOR
Jim Fulton, MIT X Consortium